<?php
if (!isset($_POST['save_ok']))
{
	if ("save" == $_POST['formaction'])
	{
		include __DIR__ . "/save_all.php";
		echo "<fieldset>\n";
		echo "	<legend>Datensicherung wurde erfolgreich erstellt!</legend>\n";
		echo "	<p>Laden Sie jetzt Ihre Datensicherung vom Server herunter. Nach dem abgeschlossenen Download klicken Sie unten nochmals auf die Logout-Schaltfläche!</p>\n";
		echo "	<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\">\n";
		echo "		<a href=\"./tmp/" . $_SESSION['TID'] . "_" . PREFIX . "_" . date("Y-m-d") . "\">Datensicherung downloaden</a>\n";
		echo "		<br />&nbsp;<br />\n";
		echo "		<input type=\"submit\" class=\"button_logout\" name=\"save_ok\" value=\"1\" title=\"Jetzt ausloggen\" />\n";
		echo "</fieldset>\n";
	}
	else
	{
		echo "<fieldset>\n";
		echo "	<legend>Wollen Sie noch eine Datensicherung erstellen?</legend>\n";
		echo "	<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\">\n";
		echo "		<input type=\"submit\" class=\"button_comp\" name=\"formaction\" value=\"save\" title=\"Datensicherung anlegen!\" />\n";
		echo "		<input type=\"submit\" class=\"button_logout\" name=\"save_ok\" value=\"0\" \"Jetzt ausloggen und Datensicherung überspringen\" />\n";
		echo "</fieldset>\n";
	}
}
else
{
	chdir('tmp');
	$dateien = glob($_SESSION['TID'] . "_" . PREFIX . '*');
	foreach ($dateien AS $datei)
	{
		unlink($datei);
	}
	chdir('../');
	$dateien = glob("./pdf/" . PREFIX . "/*/*");
	foreach ($dateien AS $datei)
	{
		unlink($datei);
	}

	session_destroy();
	include "login.php";
}